Subject: Re: [PATCH] git-remote.txt: fix wrong remote refspec

From: Namhyung Kim <[email-masked]>
Date: Thu, 23 Jun 2011 15:17:29 +0900

Hello,

2011-06-22 (수), 22:35 -0700, Junio C Hamano:
> Namhyung Kim <[email-masked]> writes:
> 
> > $GIT_DIR/remotes/<name>/HEAD should be
> > $GIT_DIR/refs/remotes/<name>/HEAD.
> >
> > Signed-off-by: Namhyung Kim <[email-masked]>
> > ---
> 
> Obviously correct; thanks.
> 
> There is another questionable one you did not touch, though.
> 
>     With `-t <branch>` option, instead of the default glob
>     refspec for the remote to track all branches under
>     `$GIT_DIR/remotes/<name>/`, a refspec to track only `<branch>`
>     is created.  You can give more than one `-t <branch>` to track
>     multiple branches without grabbing all branches.
> 
> The above says "$GIT_DIR/remotes/<name>/", but it should say
> 
>     ... all branches under refs/remotes/<name>/ namespace,...
> 

Oh, I didn't aware of that. Will send v2 soon.

> Also we should try to see if we can come up with a way to say the things
> the part your patch touched describe _without_ mentioning $GIT_DIR at
> all. "Store in $GIT_DIR/refs/$X" talks too much about the implementation
> detail that the ref in question is implemented as a loose ref. We would
> pack it into a single entry in $GIT_DIR/packed-refs file when we run gc,
> and at that point "$GIT_DIR/refs/$X" is no longer a correct description.

I see. But I think it is a different issue and should be treated by
another patch(es). Just omitting $GIT_DIR is not enough? I don't know :)

Thanks.

-- 
Regards,
Namhyung Kim